F77 = /usr/local/bin/f77

.f.o:
	$(F77) -c -I$(inc_path) $*.f

inc_path=/usr/include
lib_path=/usr/lib

nc_bymonth:\
 nc_bymonth.o check_nc_dims.o\
 convert_short_float.o convert_int_float.o convert_string_date.o\
 dates.o nc_errors.o nc_month_routines.o strings.o
	$(F77) -o nc_bymonth nc_bymonth.o \
 check_nc_dims.o convert_short_float.o convert_int_float.o\
 convert_string_date.o dates.o nc_errors.o nc_month_routines.o strings.o \
 /usr/lib/libnetcdf.a

nc_bymonth.o:		nc_bymonth.f	nc_dims.inc	missing_values.inc
check_nc_dims.o:	check_nc_dims.f
convert_int_float.o:	convert_int_float.f		missing_values.inc
convert_short_float.o:	convert_short_float.f		missing_values.inc
convert_string_date.o:	convert_string_date.f
dates.o:		dates.f
nc_errors.o:		nc_errors.f
nc_month_routines.o:	nc_month_routines.f
strings.o:		strings.f
